<?php
/**
 * The template for displaying all single posts.
 *
 * @package EightMedi Pro
 */

get_header(); ?>
<div class="ed-container">
	<?php while ( have_posts() ) : the_post(); ?>
		<?php
		if ((function_exists('eightmedi_pro_breadcrumbs'))) {
			eightmedi_pro_breadcrumbs();
		} ?>
		<header class="page-header">
			<?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
		</header><!-- .entry-header -->
		<div class="entry-meta">
			<?php eightmedi_pro_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php 
		global $post;
		$sidebar = get_theme_mod('eightmedi_pro_services_single_sidebar','right-sidebar');
		if($sidebar=='both-sidebar' || $sidebar=='left-sidebar'){
			get_sidebar('left');
		}
		?>
		<div id="primary" class="content-area <?php echo $sidebar;?>">
			<main id="main" class="site-main" role="main">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>					
					<div class="entry-content">
						<?php
						$imgicon_priority = get_theme_mod('eightmedi_pro_featured_imgicon','icon');
						$icon = get_post_meta( $post->ID, 'eightmedi_pro_service_box_icon', true );
						if(has_post_thumbnail() || $icon!="" ){
							?>
							<figure>
								<?php
								$icon = get_post_meta( get_the_ID(), 'eightmedi_pro_service_box_icon', true );
								if($icon!="" && ($imgicon_priority=='icon' || !has_post_thumbnail())){ echo '<i class="'.$icon.'"></i>';}
								else{
									if (has_post_thumbnail()): 
										$image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'full');
										?>
										<img src="<?php echo esc_attr($image[0]); ?>" alt="<?php echo esc_attr(get_the_title()); ?>" />
										<?php
									endif;
								}
								?>
							</figure>
							<?php
						}
						?>
						<div class="service-category">
							<?php
							$cats = wp_get_object_terms( $id, 'service-category' ) ;
							foreach($cats as $cat){
								echo '<a href="'.get_term_link($cat->slug, 'service-category').'">';
								echo '<span>'.$cat->name.'</span>';
								echo '</a>';
							}
							?>
						</div>
						<?php the_content(); ?>
						<?php
						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eightmedi-pro' ),
							'after'  => '</div>',
						) );
						?>
					</div><!-- .entry-content -->

					<footer class="entry-footer">
						<?php eightmedi_pro_entry_footer(); ?>
					</footer><!-- .entry-footer -->
				</article><!-- #post-## -->

				<?php the_post_navigation(); ?>

				<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>

				

			</main><!-- #main -->
		</div><!-- #primary -->
		<?php 
		if($sidebar=='both-sidebar' || $sidebar=='right-sidebar' ){
			get_sidebar('right');
		}
		?>
	<?php endwhile; // End of the loop. ?>
</div>
<?php get_footer(); ?>
